import { configureStore } from '@reduxjs/toolkit';
import spotPriceReducer from './spotPrice';
import futuresPriceReducer from './futuresPrice';

export const store = configureStore({
    reducer: {
        spotPrice: spotPriceReducer,
        futuresPrice: futuresPriceReducer
    },
});

export type AppDispatch = typeof store.dispatch
export type RootState = ReturnType<typeof store.getState>